@echo off
title Grand Theft Auto 5 CMD Non_steam Launcher 
echo This script will start the game automatically for you, simply leave this open.
echo It will close automatically when done.
echo Please ensure you're not in the process of copying files/data as continuing beyond this point WILL affect any active files being copied, moved and deleted. Press Enter when you're ready.
echo this Scipt does not work as good but will get the job done if you cant get RETAIL_LAUNCHER.bat to work.
Echo Make sure you Did put this SCRIPT file in the root of GTA5 where the GTA5.exe is.
echo and dont forget to run me as admin
PAUSE
cls
echo will you like us to start the speed boost script?
echo read the documentation for scripts.txt file in the script_files folder to find out what this is
SET /P ANSWER=Do you want to continue (Y/N)?
echo You chose: %ANSWER%
if /i {%ANSWER%}=={y} (goto :yes)
if /i {%ANSWER%}=={yes} (goto :yes)
goto :no
:yes
@echo off
title Speed Booster Pre-alpha
cls
echo this may have unknown effects
echo USE AT YOUR OWN RISK!
echo this will try to flash/clean your RAM
SET /P ANSWER=Do you want to continue (Y/N)?
echo You chose: %ANSWER%
if /i {%ANSWER%}=={y} (goto :1)
if /i {%ANSWER%}=={yes} (goto :1)
if /i {%ANSWER%}=={y} (goto :1)
if /i {%ANSWER%}=={yes} (goto :1)
if /i {%ANSWER%}=={n} (goto :2)
if /i {%ANSWER%}=={no} (goto :2)
:1
echo we are going to Flash/Clean the RAM now and in 4 mins
echo then do it one time in 4mins
echo this shuold help any one that is using low RAM.
start %windir%\system32\rundll32.exe advapi32.dll,ProcessIdleTasks
wmic process where name="Steam.exe" CALL setpriority "idle"
wmic process where name="steamwebhelper.exe" CALL setpriority "idle"
start %windir%\system32\rundll32.exe advapi32.dll,ProcessIdleTasks
start %windir%\system32\rundll32.exe advapi32.dll,ProcessIdleTasks

:2
echo i understand why you dont want to use this. its ok.

:no
echo CONTINUING WITH SCRIPT
CLS
ECHO.
ECHO --------------------------------------------------
ECHO Grand Theft Auto 5 CMD Launcher
ECHO --------------------------------------------------
ECHO.
ECHO 1 - Grand Theft Auto 5 (GTA5.exe)
ECHO 2 - Grand Theft Auto 5 (PlayGTAV.exe)
ECHO 3 - Grand Theft Auto 5 (GTAVLauncher.exe)
ECHO PICK THE ONE THAT STARTES THE GAME

ECHO.
SET /P M=Type 1 or 2 or 3 then press ENTER:
IF %M%==1 GOTO gta5
IF %M%==2 GOTO playgta5
IF %M%==3 GOTO NON-STEAM
:gta5
START GTA5.exe
GOTO NIKO

:playgta5
title GTA5 RETAIL LAUNCHER
echo if you installed GTA5 Else where you need to edit this line to your GTA5 installed
timeout 3
start PlayGTAV.exe
GOTO NIKO

:playgta5
start GTAVLauncher.exe
GOTO NIKO

:NIKO
cls

title Stoping Unneeded Service(s)
cls
echo Stoping Windows Time
net stop W32Time /y
echo Stoping Windows Defender (This may not work in Windows 8 & 8.1)
net stop WinDefend /y
echo Stoping Windows Backup
net stop SDRSVC /y
echo Stoping WebClient
net stop WebClient /y
echo Stoping Shell Hardware Detection
net stop ShellHWDetection /y
echo Stoping Server 
net stop LanmanServer /y
echo Stoping Workstation
net stop LanmanWorkstation /y
echo Stoping Windows Live ID Sign-in Assistant
net stop wlidsvc /y
echo Stoping Telephony (used for dial-up)
net stop TapiSrv /y
echo Stoping TCP/IP NetBIOS Helper
net stop lmhosts /y
echo Stoping Problem Reports and Solutions Control Panel Support
net stop wercplsupport /y
echo Stoping Print Spooler (Needed for pinting, not playing a game.)
echo (For tech users, this will stop network printers from working if routed through your PC.)
net stop Spooler /y
echo Stoping Diagnostic Policy Service
net stop DPS /y
echo Stoping Computer Browser
net stop Browser /y
echo Stoping COM+ Event System
net stop EventSystem /y
echo Stoping Background Intelligent Transfer Service
net stop BITS /y
echo Stoping Program Compatibility Assistant Service
net stop PcaSvc /y
echo Stoping Windows Update
net stop wuauserv /y

Taskkill /IM dllhost.exe /F
Taskkill /IM explorer.exe /F
Taskkill /IM firefox.exe /F
Taskkill /IM explorer.exe /F
Taskkill /IM chrome.exe /F

title Grand Theft Auto 5 CMD Non_steam Launcher 
:: #time was change from 60 to 120 to give longer to let the game start
:: #and fix the slow Social Club start due to the process being set to low priority
timeout 120
:: #using high priority on a older/slower CPU can lower the FPS in-game
::::
:: #wmic process where name="GTA5.exe" CALL setpriority "high priority"
::::
wmic process where name="GTA5.exe" CALL setpriority "above normal"
wmic process where name="gtavlauncher.exe" CALL setpriority "idle"
wmic process where name="subprocess.exe" CALL setpriority "idle"
timeout 20
cls
echo LEAVE ME OPEN!
:LOOP
tasklist | find /i "gtavlauncher.exe" >nul 2>&1
IF ERRORLEVEL 1 (
  GOTO CONTINUE
) ELSE (
  ECHO looking to see if GTA 5 is still running
  Timeout /T 11 /Nobreak
  cls
  GOTO LOOP
)

:CONTINUE

@echo off
title RESTORING SERVICES
cls
echo You will see a lot of CMD windows popup, this is ok.
echo If you're having a hard time using the scripts, get errors or something goes wrong, simply reboot (Restart Your Computer).
timeout 10
echo Starting Windows Time
START net start W32Time
echo Starting Windows Defender
START net start WinDefend
echo Starting Windows Backup
START net start SDRSVC
echo Starting WebClient
START net start WebClient
echo Starting Shell Hardware Detection
START net start ShellHWDetection
echo Starting Server
START net start LanmanServer
echo Starting Workstation
START net start LanmanWorkstation
echo Starting Windows Live ID Sign-in Assistant
START net start wlidsvc
echo Starting Telephony
START net start TapiSrv
echo Starting TCP/IP START netBIOS Helper
START net start lmhosts
echo Starting Problem Reports and Solutions Control Panel Support
START net start wercplsupport
echo Starting Print Spooler
START net start Spooler
echo Starting Diagnostic Policy Service
START net start DPS
echo Starting Computer Browser
START net start Browser
echo Starting COM+ Event System
START net start EventSystem
echo Starting Background Intelligent Transfer Service
START net start BITS
echo Starting Program Compatibility Assistant Service
START net start PcaSvc
echo Starting Windows Update
START net start wuauserv
START explorer.exe
echo this is here so if you started the SPEED_BOOST script we can undo it
echo if you did not run then this here will just be fine and no use to you right now
wmic process where name="Steam.exe" CALL setpriority "normal"
wmic process where name="steamwebhelper.exe" CALL setpriority "normal"
echo Complete.
echo If you experience any issues using your computer beyond this point, simply reboot (Restart Your Computer).
timeout 5
exit
::
:: CPU priority codes
::
:: Priority:
::
:: idle: 64
::
:: below normal: 16384
::
:: normal: 32
::
:: above normal: 32768
::
:: high priority: 128
::
:: real time: 256
::Made by MRxSNIPES2